#!/usr/bin/php
<?php
/*
* Creats a csv report of open issues
*/

// load the config, create the connection and load the repo sepcified on the cmd line args
// we will then have $client and $repo available
require 'setup.php';

$f = fopen('report.csv', 'w');
fputcsv($f, ['#','Date','Title']);
foreach ($repo->getIssues() as $issue){
    print_r($issue);
    fputcsv($f, [$issue->number,$issue->created_at,$issue->title] );
}
fclose($f);
echo "Saved as report.csv\n";
